# PetscOptionsReject

Generates an error if a certain option is given.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsReject(const char name[],const char mess[])

Not Collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameters

| name | - the option one is seeking
| mess | - error message (may be PETSC_NULL)

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:advanced
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages